import request from '@/utils/request'

// 查询博主积分变动明细列表
export function listPoints(query) {
  return request({
    url: '/member/points/list',
    method: 'get',
    params: query
  })
}

// 查询博主积分变动明细详细
export function getPoints(id) {
  return request({
    url: '/member/points/' + id,
    method: 'get'
  })
}

// 新增博主积分变动明细
export function addPoints(data) {
  return request({
    url: '/member/points',
    method: 'post',
    data: data
  })
}

// 修改博主积分变动明细
export function updatePoints(data) {
  return request({
    url: '/member/points',
    method: 'put',
    data: data
  })
}

// 删除博主积分变动明细
export function delPoints(id) {
  return request({
    url: '/member/points/' + id,
    method: 'delete'
  })
}
